/* Importaciones */
@import url("https://fonts.googleapis.com/css2?family=PT+Sans&display=swap");

/* Estilos generales */
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background-color: #05003d;
  font-family: "PT Sans", sans-serif;
}

.cardBusquedaJuegos {
  background: var(--color-white);
}

/* Galería */
.galeria {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.galeria-item {
  position: relative;
  color: #fff;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  margin: 5px;
}

.galeria-picture {
  width: 220px;
  height: 300px;
  transition: all 0.5s;
}

.galeria-item .content {
  position: absolute;
  bottom: 0;
  height: 40%;
  background: linear-gradient(transparent, 30%, #000);
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 5px;
}

.galeria-item .content h4 {
  font-size: 0.7em;
  font-weight: bold;
  color: white;
}

.galeria-item .content h5 {
  font-size: 0.5em;
  margin: 0;
  padding: 0;
}

.galeria-item .content .name {
  font-size: 28px;
  font-weight: 700;
}

.galeria-item .content .short-desc {
  font-size: 10px;
  margin-bottom: 10px;
  line-height: 1.1;
  display: flex;
  align-items: flex-end;
  flex-wrap: wrap;
  opacity: 0;
}

.galeria-item .content .footer a {
  font-size: 15px;
  color: #fff;
  margin-left: 3px;
}

.galeria-item .content .footer a i {
  transition: all 0.5s;
}

.galeria-item .content .footer a:hover i {
  transform: translateY(-2px);
}

.galeria-item:hover img {
  transform: scale(1.05);
}

.galeria-item:hover .content {
  opacity: 1;
}

.galeria-item:hover .short-desc {
  opacity: 1;
}

/* Etiquetas de distintivos */
.badge {
  font-size: 10px;
  margin: 0.5px 2px;
  color: #ffffff;
}

.badge-red {
  background-color: #dc0000;
}

.badge-blue {
  background-color: #0303dc;
}

.badge-green {
  background-color: #00ac00;
}

.badge-purple {
  background-color: #5200c6;
}

.badge-yellow {
  background-color: #e9b600;
}

.badge-brown {
  background-color: #532a00;
}

.badge-default {
  background-color: #a8a8a8;
}

/* Loader */
#loader {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  background-color: rgba(255, 255, 255, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
}
